## Index

### Variables

- abiInfo
- contractAddress
- contractHash

### Functions

- buildCommitRecordTx
- buildGetRecordStatusTx
- buildRevokeRecordTx

## Variables

### Const abiInfo

abiInfo: AbiInfo = AbiInfo.parseJson(JSON.stringify(abiJson))

- Defined in smartcontract/neovm/attestClaimTxBuilder.ts:28

### Const contractAddress

contractAddress: Address = new Address(reverseHex(contractHash))

- Defined in smartcontract/neovm/attestClaimTxBuilder.ts:30

### Const contractHash

contractHash: string = abiInfo.getHash().replace('0x', '')

- Defined in smartcontract/neovm/attestClaimTxBuilder.ts:29

## Functions

### buildCommitRecordTx

- buildCommitRecordTx(claimId: string, issuer: string, subject: string, gasPrice: string, gasLimit: string, payer: Address): Transaction

- - Defined in smartcontract/neovm/attestClaimTxBuilder.ts:43

  Attests the claim.

  #### Parameters

  - ##### claimId: string

    Unique id of the claim

  - ##### issuer: string

    Issuer's ONT ID

  - ##### subject: string

    Subject's ONT ID

  - ##### gasPrice: string

    Gas price

  - ##### gasLimit: string

    Gas limit

  - ##### payer: Address

    Payer's address

  #### Returns Transaction

### buildGetRecordStatusTx

- buildGetRecordStatusTx(claimId: string): Transaction

- - Defined in smartcontract/neovm/attestClaimTxBuilder.ts:92

  Queries the state of attest.

  #### Parameters

  - ##### claimId: string

    Unique id of the claim

  #### Returns Transaction

### buildRevokeRecordTx

- buildRevokeRecordTx(claimId: string, revokerOntid: string, gasPrice: string, gasLimit: string, payer: Address): Transaction

- - Defined in smartcontract/neovm/attestClaimTxBuilder.ts:70

  Revokes the claim.

  #### Parameters

  - ##### claimId: string

    Unique id of the claim

  - ##### revokerOntid: string

    Revoker's ONT ID

  - ##### gasPrice: string

    Gas price

  - ##### gasLimit: string

    Gas limit

  - ##### payer: Address

    Payer's address

  #### Returns Transaction

Generated using TypeDoc